# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-google-crosshatch
pkgdesc="Google Pixel 3 XL"
pkgver=0.1
pkgrel=7
url="https://postmarketos.org"
license="MIT"
arch="aarch64"
options="!check !archcheck"
depends="postmarketos-base mkbootimg mesa-dri-swrast"
makedepends="devicepkg-dev"
source="deviceinfo"
subpackages="
	$pkgname-kernel-downstream:kernel_downstream
	$pkgname-kernel-mainline:kernel_mainline
"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
}

kernel_downstream() {
	pkgdesc="LineageOS downstream kernel (recommended)"
	depends="linux-google-crosshatch"
	devicepkg_subpackage_kernel $startdir $pkgname $subpkgname
}

kernel_mainline() {
	pkgdesc="Attempt at mainlining. DO NOT USE: doesn't work (only USB networking is supported)"
	depends="linux-google-crosshatch-mainline firmware-google-crosshatch-mainline-dtbo"
	devicepkg_subpackage_kernel $startdir $pkgname $subpkgname
}

sha512sums="c4122bf7cae468b656884678f64f1bd8fb2e5d9c07fc44a777831864efea2eefdc84329cb0e498de4e7ad40787fbf4ea76846bc7a142747d006afd5ea16847d3  deviceinfo"
